Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		thaifonts-scalable
Version:	0.4.9
Release:	1
Summary:	A Collection of scalable Thai fonts
Group:		Fonts
License:	GPLv2+
URL:		http://linux.thai.net/projects/thaifonts-scalable
Source:		ftp://linux.thai.net/pub/ThaiLinux/software/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	fontforge
BuildRequires:	ttmkfdir
BuildRequires:	xorg-x11-font-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%define		fontdir		%{_datadir}/fonts/%{name}
%define		fontconfdir	%{_sysconfdir}/fonts/conf.d

%description
This package collects scalable Thai fonts available in free licenses.
Thai scalable fonts included here are:
- Kinnari, Garuda and Norasi from the National Font project
- DB Thai Text from DearBook
- TlwgMono, PseudoMono, Purisa by TLWG

%post
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache %_datadir/fonts
  fi
fi

%prep
%setup -q

%build
%configure \
--with-ttfdir=%{fontdir} \
--enable-ttf=yes

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

install -d -m 0755 $RPM_BUILD_ROOT%{fontconfdir}
pushd $RPM_BUILD_ROOT%{fontconfdir}
ln -s ../conf.avail/*.conf .
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING NEWS
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.dir
%{fontdir}/fonts.scale
%config %{_sysconfdir}/fonts/conf.avail/*-ttf-thai-*.conf
%config(noreplace) %{_sysconfdir}/fonts/conf.d/*-ttf-thai-*.conf

%changelog
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.9-1
- Initial release
